import { Animation } from './animation';
import { Axis } from './axis';
import { Counter } from './counter';
import { Direction } from './direction';
import { DragHandler } from './dragHandler';
import { EventEmitter } from './eventEmitter';
import { Limit } from './limit';
import { Options } from './options';
import { PxToPercent } from './pxToPercent';
import { ScrollBody } from './scrollBody';
import { ScrollBounds } from './scrollBounds';
import { ScrollLooper } from './scrollLooper';
import { ScrollProgress } from './scrollProgress';
import { ScrollTarget } from './scrollTarget';
import { ScrollTo } from './scrollTo';
import { SlideLooper } from './slideLooper';
import { SlideFocus } from './slideFocus';
import { SlidesInView } from './slidesInView';
import { Translate } from './translate';
import { Vector1D } from './vector1d';
export declare type Engine = {
    axis: Axis;
    direction: Direction;
    animation: Animation;
    scrollBounds: ScrollBounds;
    scrollLooper: ScrollLooper;
    scrollProgress: ScrollProgress;
    index: Counter;
    indexPrevious: Counter;
    limit: Limit;
    location: Vector1D;
    options: Options;
    pxToPercent: PxToPercent;
    scrollBody: ScrollBody;
    dragHandler: DragHandler;
    slideFocus: SlideFocus;
    slideLooper: SlideLooper;
    slidesInView: SlidesInView;
    target: Vector1D;
    translate: Translate;
    scrollTo: ScrollTo;
    scrollTarget: ScrollTarget;
    scrollSnaps: number[];
    slideIndexes: number[];
};
export declare function Engine(root: HTMLElement, container: HTMLElement, slides: HTMLElement[], options: Options, events: EventEmitter): Engine;
